> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Get all page details

GET https://api-sandbox.payabli.com/api/Paypoint/load/{entry}/{subdomain}

Loads all of a payment page's details including `pageIdentifier` and `validationCode`. This endpoint requires an `application` API token.

Reference: https://docs.payabli.com/developers/api-reference/hostedpaymentpages/get-all-payment-page-details

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi
  version: 1.0.0
paths:
  /Paypoint/load/{entry}/{subdomain}:
    get:
      operationId: load-page
      summary: Get all payment page details
      description: >-
        Loads all of a payment page's details including `pageIdentifier` and
        `validationCode`. This endpoint requires an `application` API token.
      tags:
        - subpackage_hostedPaymentPages
      parameters:
        - name: entry
          in: path
          description: >-
            The paypoint's entrypoint identifier. [Learn
            more](/developers/api-reference/api-overview#entrypoint-vs-entry)
          required: true
          schema:
            type: string
        - name: subdomain
          in: path
          description: >-
            Payment page identifier. The subdomain value is the last part of the
            payment page URL. For example,
            in`https://paypages-sandbox.payabli.com/513823dc10/pay-your-fees-1`,
            the subdomain is `pay-your-fees-1`.
          required: true
          schema:
            type: string
        - name: requestToken
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_:PayabliPages'
        '400':
          description: Bad request/ invalid data
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized request.
          content:
            application/json:
              schema:
                description: Any type
        '500':
          description: Internal API Error
          content:
            application/json:
              schema:
                description: Any type
        '503':
          description: Database connection error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_:PayabliApiResponse'
servers:
  - url: https://api-sandbox.payabli.com/api
  - url: https://api.payabli.com/api
components:
  schemas:
    type_:AdditionalData:
      type: object
      additionalProperties:
        type: object
        additionalProperties:
          description: Any type
      description: >-
        Custom dictionary of key:value pairs. You can use this field to store
        any data related to the object or for your system. If you are using
        [custom identifiers](/developers/developer-guides/entities-customers),
        pass those in this object. Max length for a value is 100 characters.
        Example usage: 


        ```json

        {
          "additionalData": {
            "key1": "value1",
            "key2": "value2",
            "key3": "value3"
          }
        }

        ```
      title: AdditionalData
    type_:AccountId:
      type: string
      description: Custom identifier for payment connector.
      title: AccountId
    type_:GreaterValueAllowed:
      type: boolean
      description: >-
        Whether a customer fee greater than the configured service fee is
        allowed for this credential.
      title: GreaterValueAllowed
    type_:AbsorbDifference:
      type: boolean
      description: >-
        Whether the paypoint absorbs the difference between the configured
        service fee and the actual fee charged to the customer.
      title: AbsorbDifference
    type_:AllowOverride:
      type: boolean
      description: >-
        Whether the configured service fee can be overridden at the transaction
        level.
      title: AllowOverride
    type_:PayabliCredentials:
      type: object
      properties:
        accountId:
          $ref: '#/components/schemas/type_:AccountId'
          description: >-
            The identifier for the payment connector, matching the `accountId`
            of the linked bank account.
        cfeeFix:
          type: number
          format: double
        cfeeFloat:
          type: number
          format: double
        cfeeMax:
          type: number
          format: double
        cfeeMin:
          type: number
          format: double
        maxticket:
          type: number
          format: double
        minticket:
          type: number
          format: double
        mode:
          type: integer
          description: >-
            The payment mode supported by this service. `0` for one-time
            payments, `1` for recurring payments, `2` for both.
        referenceId:
          type: integer
          format: int64
        service:
          type: string
          description: >-
            The payment service that this credential applies to. A paypoint can
            support multiple services, each represented by its own credential
            object in the array. Possible values are `card` (credit/debit card),
            `ach` (ACH bank transfer), `check` (paper check), `vcard` (virtual
            card), `cloud` (card-present), `cash`, `managed` (managed payment
            service), and `wallet`.
        greaterValueAllowed:
          $ref: '#/components/schemas/type_:GreaterValueAllowed'
        absorbDifference:
          $ref: '#/components/schemas/type_:AbsorbDifference'
        allowOverride:
          $ref: '#/components/schemas/type_:AllowOverride'
      title: PayabliCredentials
    type_:Order:
      type: integer
      description: Order of element or section in container.
      title: Order
    type_:PayCategory:
      type: object
      properties:
        description:
          type: string
        label:
          type: string
        name:
          type: string
        optionalPay:
          type: boolean
        order:
          $ref: '#/components/schemas/type_:Order'
        quantity:
          type: integer
        showDescription:
          type: boolean
        type:
          type: string
        value:
          type: string
      title: PayCategory
    type_:Enabled:
      type: boolean
      description: Toggles whether the section or element is enabled.
      title: Enabled
    type_:AmountElement:
      type: object
      properties:
        categories:
          type: array
          items:
            $ref: '#/components/schemas/type_:PayCategory'
        enabled:
          $ref: '#/components/schemas/type_:Enabled'
        order:
          $ref: '#/components/schemas/type_:Order'
      title: AmountElement
    type_:Finishtype:
      type: object
      properties:
        calendar:
          type: boolean
          description: Flag to enable 'calendar' option
        untilCancelled:
          type: boolean
          description: Flag to enable 'untilCancelled' option
      title: Finishtype
    type_:FrequencyList:
      type: object
      properties:
        annually:
          type: boolean
          description: Enable or disable the annual frequency.
        every2Weeks:
          type: boolean
          description: Enable or disable the every-two-weeks frequency.
        every3Months:
          type: boolean
          description: Enable or disable the every-three-months frequency.
        every6Months:
          type: boolean
          description: Enable or disable the every-six-months frequency.
        monthly:
          type: boolean
          description: Enable or disable the monthly frequency.
        onetime:
          type: boolean
          description: Enable or disable the one-time frequency.
        weekly:
          type: boolean
          description: Enable or disable the weekly frequency.
      title: FrequencyList
    type_:AutoElement:
      type: object
      properties:
        enabled:
          $ref: '#/components/schemas/type_:Enabled'
        finish:
          $ref: '#/components/schemas/type_:Finishtype'
          description: Type of end date
        frequency:
          $ref: '#/components/schemas/type_:FrequencyList'
          description: accepted frequencies for autopay
        frequencySelected:
          type: string
          description: Value of pre-selected frequency
        header:
          type: string
          description: Header text for section
        order:
          $ref: '#/components/schemas/type_:Order'
        startDate:
          type: string
          description: Range of days enabled in calendar. Leave empty to enable all days.
      title: AutoElement
    type_:ContactElement:
      type: object
      properties:
        emailLabel:
          type: string
          description: Custom content for email
        enabled:
          $ref: '#/components/schemas/type_:Enabled'
        header:
          type: string
          description: Header text for section
        order:
          $ref: '#/components/schemas/type_:Order'
        paymentIcons:
          type: boolean
          description: Flag indicating if icons for accepted card brands will be shown
        phoneLabel:
          type: string
          description: Custom content for phone number
      title: ContactElement
    type_:LabelElement:
      type: object
      properties:
        enabled:
          $ref: '#/components/schemas/type_:Enabled'
        label:
          type: string
          description: Label to display for section or element
        order:
          $ref: '#/components/schemas/type_:Order'
      title: LabelElement
    type_:InvoiceElement:
      type: object
      properties:
        enabled:
          $ref: '#/components/schemas/type_:Enabled'
        invoiceLink:
          $ref: '#/components/schemas/type_:LabelElement'
          description: Link to invoice
        order:
          $ref: '#/components/schemas/type_:Order'
        viewInvoiceDetails:
          $ref: '#/components/schemas/type_:LabelElement'
          description: Link to view invoice details
      title: InvoiceElement
    type_:Element:
      type: object
      properties:
        enabled:
          $ref: '#/components/schemas/type_:Enabled'
        order:
          $ref: '#/components/schemas/type_:Order'
      title: Element
    type_:NoteElement:
      type: object
      properties:
        enabled:
          $ref: '#/components/schemas/type_:Enabled'
        header:
          type: string
          description: Header text for section
        order:
          $ref: '#/components/schemas/type_:Order'
        placeholder:
          type: string
          description: Placeholder text for input field
        value:
          type: string
          description: Pre-populated value for input field
      title: NoteElement
    type_:PageElement:
      type: object
      properties:
        description:
          type: string
          description: Page description in header
        enabled:
          $ref: '#/components/schemas/type_:Enabled'
        header:
          type: string
          description: Page header
        order:
          $ref: '#/components/schemas/type_:Order'
      title: PageElement
    type_:MethodsList:
      type: object
      properties:
        amex:
          type: boolean
          description: When `true`, American Express is accepted.
        applePay:
          type: boolean
          description: When `true`, Apple Pay is accepted.
        googlePay:
          type: boolean
          description: When `true`, Google Pay is accepted.
        discover:
          type: boolean
          description: When `true`, Discover is accepted.
        eCheck:
          type: boolean
          description: When `true`, ACH is accepted.
        mastercard:
          type: boolean
          description: When `true`, Mastercard is accepted.
        visa:
          type: boolean
          description: When `true`, Visa is accepted.
      title: MethodsList
    type_:MethodElementSettingsApplePayButtonStyle:
      type: string
      enum:
        - black
        - white-outline
        - white
      default: black
      description: >-
        The Apple Pay button style. See [Apple Pay Button
        Style](/developers/developer-guides/hosted-payment-page-apple-pay#param-applepay-button-style)
        for more information.
      title: MethodElementSettingsApplePayButtonStyle
    type_:MethodElementSettingsApplePayButtonType:
      type: string
      enum:
        - plain
        - buy
        - donate
        - check-out
        - book
        - continue
        - top-up
        - order
        - rent
        - support
        - contribute
        - tip
        - pay
      default: pay
      description: >-
        The text on Apple Pay button. See [Apple Pay Button
        Type](/developers/developer-guides/hosted-payment-page-apple-pay#param-applepay-button-type)
        for more information.
      title: MethodElementSettingsApplePayButtonType
    type_:MethodElementSettingsApplePayLanguage:
      type: string
      enum:
        - en-US
        - ar-AB
        - ca-ES
        - zh-CN
        - zh-HK
        - zh-TW
        - hr-HR
        - cs-CZ
        - da-DK
        - de-DE
        - nl-NL
        - en-AU
        - en-GB
        - fi-FI
        - fr-CA
        - fr-FR
        - el-GR
        - he-IL
        - hi-IN
        - hu-HU
        - id-ID
        - it-IT
        - ja-JP
        - ko-KR
        - ms-MY
        - nb-NO
        - pl-PL
        - pt-BR
        - pt-PT
        - ro-RO
        - ru-RU
        - sk-SK
        - es-MX
        - es-ES
        - sv-SE
        - th-TH
        - tr-TR
        - uk-UA
        - vi-VN
      default: en-US
      description: >-
        The Apple Pay button locale. See [Apple Pay Button
        Language](/developers/developer-guides/hosted-payment-page-apple-pay#param-applepay-language)
        for more information.
      title: MethodElementSettingsApplePayLanguage
    type_:MethodElementSettingsApplePay:
      type: object
      properties:
        buttonStyle:
          $ref: '#/components/schemas/type_:MethodElementSettingsApplePayButtonStyle'
          default: black
          description: >-
            The Apple Pay button style. See [Apple Pay Button
            Style](/developers/developer-guides/hosted-payment-page-apple-pay#param-applepay-button-style)
            for more information.
        buttonType:
          $ref: '#/components/schemas/type_:MethodElementSettingsApplePayButtonType'
          default: pay
          description: >-
            The text on Apple Pay button. See [Apple Pay Button
            Type](/developers/developer-guides/hosted-payment-page-apple-pay#param-applepay-button-type)
            for more information.
        language:
          $ref: '#/components/schemas/type_:MethodElementSettingsApplePayLanguage'
          default: en-US
          description: >-
            The Apple Pay button locale. See [Apple Pay Button
            Language](/developers/developer-guides/hosted-payment-page-apple-pay#param-applepay-language)
            for more information.
      title: MethodElementSettingsApplePay
    type_:MethodElementSettings:
      type: object
      properties:
        applePay:
          $ref: '#/components/schemas/type_:MethodElementSettingsApplePay'
      description: Settings for wallet payment methods.
      title: MethodElementSettings
    type_:MethodElement:
      type: object
      properties:
        allMethodsChecked:
          type: boolean
          description: Flag indicating if all allowed payment methods will be pre-selected.
        enabled:
          $ref: '#/components/schemas/type_:Enabled'
        header:
          type: string
          description: Header text for section
        methods:
          $ref: '#/components/schemas/type_:MethodsList'
        order:
          $ref: '#/components/schemas/type_:Order'
        settings:
          $ref: '#/components/schemas/type_:MethodElementSettings'
          description: Settings for wallet payment methods.
      title: MethodElement
    type_:PayorFields:
      type: object
      properties:
        display:
          type: boolean
          description: Flag indicating if the input field will show in container
        fixed:
          type: boolean
          description: Flag indicating if the value in input field is read-only or not.
        identifier:
          type: boolean
          description: Flag indicating if the input field is a customer identifier
        label:
          type: string
          description: Label to display for field
        name:
          type: string
          description: >-
            Name of field to show. Should be one of the standard customer fields
            or a custom field name
        order:
          $ref: '#/components/schemas/type_:Order'
        required:
          type: boolean
          description: Flag indicating if the input field is required for validation
        validation:
          type: string
          description: |-
            Type of validation to apply to the input field Accepted values:

              - alpha for alphabetical

              - numbers for numeric

              - text for alphanumeric

              - email for masked email address input

              - phone for US phone numbers
        value:
          type: string
          description: Pre-populated value for field
        width:
          type: integer
          description: >-
            Numeric value indicating the size of input relative to the
            container. Accepted values:

                - 4 = 1/3

                - 6 = 1/2

                - 8 = 2/3

                - 12 = 3/3
      title: PayorFields
    type_:PayorElement:
      type: object
      properties:
        enabled:
          $ref: '#/components/schemas/type_:Enabled'
        fields:
          type: array
          items:
            $ref: '#/components/schemas/type_:PayorFields'
          description: Array of Customer/Payor fields to show in section
        header:
          type: string
          description: Custom header text for section
        order:
          $ref: '#/components/schemas/type_:Order'
      title: PayorElement
    type_:HeaderElement:
      type: object
      properties:
        enabled:
          $ref: '#/components/schemas/type_:Enabled'
        header:
          type: string
          description: Header text for section
        order:
          $ref: '#/components/schemas/type_:Order'
      title: HeaderElement
    type_:Subdomain:
      type: string
      description: >-
        Refers to the payment page identifier. If provided, then the transaction
        is linked to the payment page.
      title: Subdomain
    type_:PageContent:
      type: object
      properties:
        amount:
          $ref: '#/components/schemas/type_:AmountElement'
          description: Amount section of payment page
        autopay:
          $ref: '#/components/schemas/type_:AutoElement'
          description: Autopay section of payment page
        contactUs:
          $ref: '#/components/schemas/type_:ContactElement'
          description: ContactUs section of payment page
        entry:
          type: string
          description: Identifier of entry point owner of page
        invoices:
          $ref: '#/components/schemas/type_:InvoiceElement'
          description: Invoices section of payment page
        logo:
          $ref: '#/components/schemas/type_:Element'
          description: Logo section of payment page
        messageBeforePaying:
          $ref: '#/components/schemas/type_:LabelElement'
          description: Message section of payment page
        name:
          type: string
          description: Descriptor of page
        notes:
          $ref: '#/components/schemas/type_:NoteElement'
          description: Notes section of payment page
        page:
          $ref: '#/components/schemas/type_:PageElement'
          description: Page header section of payment page
        paymentButton:
          $ref: '#/components/schemas/type_:LabelElement'
          description: Payment button section of payment page
        paymentMethods:
          $ref: '#/components/schemas/type_:MethodElement'
          description: Payment methods section of payment page
        payor:
          $ref: '#/components/schemas/type_:PayorElement'
          description: Customer/Payor section of payment page
        review:
          $ref: '#/components/schemas/type_:HeaderElement'
          description: Review section of payment page
        subdomain:
          $ref: '#/components/schemas/type_:Subdomain'
          description: Unique identifier assigned to the page.
      title: PageContent
    type_:PageIdentifier:
      type: string
      description: Auxiliary validation used internally by payment pages and components.
      title: PageIdentifier
    type_:FileContentFtype:
      type: string
      enum:
        - pdf
        - doc
        - docx
        - jpg
        - jpeg
        - png
        - gif
        - txt
      description: The MIME type of the file (if content is provided)
      title: FileContentFtype
    type_:FileContent:
      type: object
      properties:
        fContent:
          type: string
          description: >-
            Content of file, Base64-encoded. Ignored if furl is specified. Max
            upload size is 30 MB.
        filename:
          type: string
          description: The name of the attached file.
        ftype:
          $ref: '#/components/schemas/type_:FileContentFtype'
          description: The MIME type of the file (if content is provided)
        furl:
          type: string
          description: Optional URL provided to show or download the file remotely
      description: Contains details about a file. Max upload size is 30 MB.
      title: FileContent
    type_:ButtonElementSize:
      type: string
      enum:
        - sm
        - md
        - lg
      description: Specify size of custom payment button
      title: ButtonElementSize
    type_:ButtonElement:
      type: object
      properties:
        label:
          type: string
          description: Label for custom payment button
        size:
          $ref: '#/components/schemas/type_:ButtonElementSize'
          description: Specify size of custom payment button
      required:
        - label
      title: ButtonElement
    type_:PageSetting:
      type: object
      properties:
        color:
          type: string
          description: 'An HTML color code in format #RRGGBB'
        customCssUrl:
          type: string
          description: Complete URL to a custom CSS file to be loaded with the page
        language:
          type: string
          description: Two-letter code following ISO 639-1
        pageLogo:
          $ref: '#/components/schemas/type_:FileContent'
          description: Object containing logo file to upload/ use in page
        paymentButton:
          $ref: '#/components/schemas/type_:ButtonElement'
        redirectAfterApprove:
          type: boolean
          description: >-
            Flag indicating if the capability for redirection in the page will
            be activated
        redirectAfterApproveUrl:
          type: string
          description: Complete URL where the page will be redirected after completion
      title: PageSetting
    type_:DisplayProperty:
      type: object
      properties:
        display:
          type: boolean
          description: When `true`, the field is displayed on the receipt.
        Fixed:
          type: boolean
          description: This field is unused.
        name:
          type: string
          description: The field's name.
      title: DisplayProperty
    type_:SettingElement:
      type: object
      properties:
        enabled:
          $ref: '#/components/schemas/type_:Enabled'
        fields:
          type: array
          items:
            $ref: '#/components/schemas/type_:DisplayProperty'
          description: Fields to display on the reciept.
        order:
          $ref: '#/components/schemas/type_:Order'
        sendAuto:
          type: boolean
          default: true
          description: >-
            When `true`, Payabli automatically sends the receipt to the payor
            email address.
        sendManual:
          type: boolean
          default: false
          description: >-
            When `true`, you must send the reciept to the payor manually using
            the
            [/MoneyIn/sendreceipt/\{transId\}](/developers/api-reference/moneyin/send-receipt-for-transaction)
            endpoint.
      title: SettingElement
    type_:ReceiptContent:
      type: object
      properties:
        amount:
          $ref: '#/components/schemas/type_:Element'
          description: Section amount of payment receipt
        contactUs:
          $ref: '#/components/schemas/type_:Element'
          description: Section contactUs of payment receipt
        details:
          $ref: '#/components/schemas/type_:Element'
          description: Section payment details of payment receipt
        logo:
          $ref: '#/components/schemas/type_:Element'
          description: Section logo of payment receipt
        messageBeforeButton:
          $ref: '#/components/schemas/type_:LabelElement'
          description: Section message of payment receipt
        page:
          $ref: '#/components/schemas/type_:PageElement'
          description: Section page of payment receipt
        paymentButton:
          $ref: '#/components/schemas/type_:LabelElement'
          description: Section payment button of payment receipt
        paymentInformation:
          $ref: '#/components/schemas/type_:Element'
          description: Section payment information of payment receipt
        settings:
          $ref: '#/components/schemas/type_:SettingElement'
          description: The receipt's settings.
      description: Object containing receipt body configuration
      title: ReceiptContent
    type_:PayabliPages:
      type: object
      properties:
        AdditionalData:
          $ref: '#/components/schemas/type_:AdditionalData'
        credentials:
          type: array
          items:
            $ref: '#/components/schemas/type_:PayabliCredentials'
          description: Array of credential objects with active services for the page
        lastAccess:
          type: string
          format: date-time
          description: Timestamp of last access to page structure
        pageContent:
          $ref: '#/components/schemas/type_:PageContent'
          description: Sections of page
        pageIdentifier:
          $ref: '#/components/schemas/type_:PageIdentifier'
        pageSettings:
          $ref: '#/components/schemas/type_:PageSetting'
          description: Settings of page
        published:
          type: integer
          description: >-
            Flag indicating if page is active to accept payments. `0` for false,
            `1` for true.
        receiptContent:
          $ref: '#/components/schemas/type_:ReceiptContent'
          description: Sections of payment receipt
        subdomain:
          $ref: '#/components/schemas/type_:Subdomain'
          description: Page identifier. Must be unique in platform.
        totalAmount:
          type: number
          format: double
          description: Total amount to pay in this page
        validationCode:
          type: string
          description: Base64 encoded image of CAPTCHA associated to this page load
      title: PayabliPages
    type_:IsSuccess:
      type: boolean
      description: >-
        Boolean indicating whether the operation was successful. A `true` value
        indicates success. A `false` value indicates failure.
      title: IsSuccess
    type_:Responsedata:
      type: object
      additionalProperties:
        description: Any type
      description: The object containing the response data.
      title: Responsedata
    type_:ResponseText:
      type: string
      description: 'Response text for operation: ''Success'' or ''Declined''.'
      title: ResponseText
    type_:PayabliApiResponse:
      type: object
      properties:
        isSuccess:
          $ref: '#/components/schemas/type_:IsSuccess'
        responseData:
          $ref: '#/components/schemas/type_:Responsedata'
        responseText:
          $ref: '#/components/schemas/type_:ResponseText'
      required:
        - responseText
      title: PayabliApiResponse
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: requestToken

```

## SDK Code Examples

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.hostedPaymentPages.loadPage("8cfec329267", "pay-your-fees-1");
}
main();

```

```python
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.hosted_payment_pages.load_page(
    entry="8cfec329267",
    subdomain="pay-your-fees-1",
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiClient;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiClient client = PayabliPayabliApiClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.hostedPaymentPages().loadPage("8cfec329267", "pay-your-fees-1");
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.hosted_payment_pages.load_page(
  entry: "8cfec329267",
  subdomain: "pay-your-fees-1"
)

```

```csharp
using PayabliPayabliApi;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.HostedPaymentPages.LoadPageAsync(
            "8cfec329267",
            "pay-your-fees-1"
        );
    }

}

```

```go
package example

import (
    context "context"

    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    client.HostedPaymentPages.LoadPage(
        context.TODO(),
        "8cfec329267",
        "pay-your-fees-1",
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;

$client = new PayabliClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->hostedPaymentPages->loadPage(
    '8cfec329267',
    'pay-your-fees-1',
);

```

```swift
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Paypoint/load/8cfec329267/pay-your-fees-1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```